Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029745
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformmajoralways2015-04-30 09:522015-06-05 01:33
ReporteregoitzView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q3
StatusclosedFix in branchFixed in SCM revision814a9e2ca8ce
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029745: Add on the renderJr method the possibility to print on plain text

DescriptionFor printing on some printers that does not use ink it is needed to send a plain text to the printer.
That is not supported right now by Openbravo so it would be needed to add that option on the renderJr method.

Steps To Reproducen/a
TagsContribution
Attached Filesdiff file icon fr29745_2.diff [^] (1,980 bytes) 2015-04-30 18:53 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
depends on feature request 0029566 closedcaristu Openbravo ERP Upgrade Jasper Libraries 
blocks feature request 0029821 newRetail Retail Modules Add on the renderJr method the possibility to print on plain text 

-  Notes
(0078006)
hgbot (developer)
2015-06-03 09:44

Repository: erp/devel/pi
Changeset: 814a9e2ca8ced5fee851ada5f0398368f3a4ad60
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Jun 03 09:43:20 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/814a9e2ca8ced5fee851ada5f0398368f3a4ad60 [^]

Fixes issue 29745: Add on the renderJr method the option to print on plain text

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/report/ReportingUtils.java
M src/org/openbravo/base/secureApp/HttpSecureAppServlet.java
M src/org/openbravo/erpCommon/utility/DownloadReport.java
---
(0078007)
hgbot (developer)
2015-06-03 09:48

Repository: erp/mods/org.openbravo.platform.features
Changeset: e2cc01eface47fe1355a19754d1bf1acf421495a
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Jun 03 09:47:55 2015 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.platform.features/rev/e2cc01eface47fe1355a19754d1bf1acf421495a [^]

Related to issue 29745: Added plain text report generation sample

---
M src-db/database/sourcedata/AD_MENU.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_TREENODE.xml
A src-db/database/sourcedata/AD_PROCESS.xml
A src-db/database/sourcedata/AD_PROCESS_PARA.xml
A src-db/database/sourcedata/AD_REF_LIST.xml
A src/org/openbravo/platform/features/ad_reports/CitiesTextReport.jrxml
---
(0078044)
hudsonbot (developer)
2015-06-03 18:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/084e25f8f2cd [^]
Maturity status: Test
(0078055)
hgbot (developer)
2015-06-04 12:21

Repository: erp/devel/pi
Changeset: f594c764c8f833718fedd791e4c341394bdc66d5
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Jun 04 12:20:37 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f594c764c8f833718fedd791e4c341394bdc66d5 [^]

Related to issue 29745: ignore pagination in text plain output

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/report/ReportingUtils.java
---
(0078057)
alostale (developer)
2015-06-04 12:26

code reviewed

tested with platform features module report
(0078101)
hudsonbot (developer)
2015-06-05 01:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/aa05c3f56c97 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-04-30 09:52 egoitz New Issue
2015-04-30 09:52 egoitz Assigned To => platform
2015-04-30 09:52 egoitz Modules => Core
2015-04-30 09:52 egoitz Triggers an Emergency Pack => No
2015-04-30 09:52 egoitz Tag Attached: Contribution
2015-04-30 09:58 egoitz File Added: fr29745.diff
2015-04-30 10:03 egoitz Description Updated View Revisions
2015-04-30 18:53 egoitz File Deleted: fr29745.diff
2015-04-30 18:53 egoitz File Added: fr29745_2.diff
2015-05-07 09:55 alostale Relationship added depends on 0029566
2015-05-08 09:25 adrianromero Relationship added blocks 0029821
2015-06-02 11:15 caristu Assigned To platform => caristu
2015-06-03 09:43 caristu Review Assigned To => alostale
2015-06-03 09:43 caristu Issue Monitored: alostale
2015-06-03 09:44 hgbot Checkin
2015-06-03 09:44 hgbot Note Added: 0078006
2015-06-03 09:44 hgbot Status new => resolved
2015-06-03 09:44 hgbot Resolution open => fixed
2015-06-03 09:44 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/814a9e2ca8ced5fee851ada5f0398368f3a4ad60 [^]
2015-06-03 09:48 hgbot Checkin
2015-06-03 09:48 hgbot Note Added: 0078007
2015-06-03 18:55 hudsonbot Checkin
2015-06-03 18:55 hudsonbot Note Added: 0078044
2015-06-04 12:21 hgbot Checkin
2015-06-04 12:21 hgbot Note Added: 0078055
2015-06-04 12:26 alostale Note Added: 0078057
2015-06-04 12:26 alostale Status resolved => closed
2015-06-04 12:26 alostale Fixed in Version => 3.0PR15Q3
2015-06-05 01:33 hudsonbot Checkin
2015-06-05 01:33 hudsonbot Note Added: 0078101


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker